Capítulo 2. Ejecutando GIMP
| Parte I. Primeros pasos |

## Capítulo 2. Ejecutando GIMP

## 1. Ejecución de GIMP

A menudo, se iniciaGIMP pulsando sobre un icono (si su sistema está configurado para proporcionar uno), o escribiendo gimp en la línea de comandos. Si tiene múltiples versiones de GIMP instaladas, podría necesitar escribir gimp-2.8 para lanzar dicha versión. Si quiere, puede proporcionar una lista de imágenes en la línea de comandos, después del nombre del programa, y automáticamente se abrirán al inicio de GIMP. Una vez lanzado, es posible abrir archivos desde el interior de GIMP.

La mayoría de sistemas operativos soportan las asociaciones de archivos, que asocian una clase de archivos (como los determinados por la extensión del nombre de archivo, como .jpg) con la ejecución de la correspondiente aplicación (por ejemplo GIMP). Cuando los archivos de imagen están convenientemente “asociados” a GIMP, puede pulsar dos veces sobre una imagen para abrirla en GIMP.

### 1.1. Plataformas conocidas

GIMP es el programa de manipulación de imágenes más ampliamente soportado disponible hoy en día. Las plataformas en las que se sabe que GIMP funciona son:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, y BeOS™.

GIMP puede ser portado fácilmente a otros sistemas operativos por la disponibilidad de su código fuente. Puede encontrar información más detallada en la página de los desarrolladores de GIMP [GIMP-DEV].

### 1.2. Idioma

GIMP detecta y usa, automáticamente, el idioma del sistema. En caso de que la detección del idioma falle o de que se quiera usar un idioma diferente, se puede hacer lo siguiente:GIMP-2.8, ir a: Editar → Preferencias → Escritorio.

También puede usar:

En Linux

  En LINUX: en la línea de comandos, escriba `LANGUAGE=es gimp` o `LANG=es gimp` reemplazando «es» (español) por el código de idioma que desee («en», «fr», «de», etc). Al hacer `LANGUAGE=es` está estableciendo una variable de entorno para el programa en cuestión, en este caso `gimp`.

En Windows XP

  Botón Panel de control → Sistema → Avanzado → Entorno en el área “Variables del sistema”: botón Añadir: introducir «LANG» en «Nombre» y «es» o «fr» en «Valor». Advertencia: necesita pulsar, sucesivamente, en tres botones Aceptar para validar su elección.

  Si cambia de idioma a menudo, puede crear un archivo de procesamiento por lotes para cambiar el idioma. Abra NotePad. Escriba los comandos siguientes (el ejemplo es para español):

  `set lang=es
  start gimp-2.8.exe`

  Guarde este archivo como `GIMP-ES.BAT` (o cualquier otro nombre, pero siempre con la extensión `.BAT`. Cree un acceso directo y arrástrelo a su escritorio.

  Otra posibilidad: Inicio → Programas → GTK Runtime Environment y Seleccionar idioma y elija el idioma que quiere de la lista desplegable.

En Apple Mac OS X

  Desde «Preferencias del sistema», pulse sobre el icono «Internacional». En la pestaña «Idioma», el idioma que desee emplear debería ser el primero de la lista.

Otra instancia de GIMP

  Use `-n` para ejecutar múltiples instancias de GIMP. Por ejemplo, use `gimp-2.8` para lanzar GIMP con el idioma predeterminado del sistema, y `LANGUAGE=en gimp-2.8 -n` para lanzar otra instancia de GIMP en inglés; esto es muy útil para los traductores.

### 1.3. Argumentos de la línea de comandos

Aunque los argumentos no son necesarios para lanzar GIMP, a continuación se muestran los argumentos más comunes. En un sistema Unix, puede usar `man gimp` para obtener una lista completa de ellos.

Los argumentos de la línea de comandos que se usan para arrancar GIMP deben estar en la forma gimp-2.8 [OPCIÓN...] [ARCHIVO|URI...].

-?, --help

  Muestra un listado de todas las opciones de la línea de comandos.

--help-all

  Muestra todas las opciones de ayuda.

--help-gtk

  Muestra las opciones de GTK+.

-v, --version

  Imprime la versión de GIMP y sale.

--license

  Muestra la información sobre la licencia y sale.

--verbose

  Muestra mensajes detallados del inicio.

-n, --new-instance

  Arranca una nueva instancia de GIMP.

-a, --as-new

  Abrir imágenes como nuevas.

-i, --no-interface

  Ejecutar sin una interfaz de usuario

-d, --no-data

  No carga patrones, degradados, paletas, ni pinceles. A menudo es útil cuando se quiere minimizar el tiempo de inicio, en situaciones de uso no interactivo.

-f, --no-fonts

  No carga ninguna tipografía. Es útil para cargar GIMP más rápido cuando se utilizan guiones que no requieren tipografías o para encontrar problemas relacionados tipografías que cuelgan GIMP.

-s, --no-splash

  No muestra la pantalla de inicio al lanzarse.

--no-shm

  No se usa memoria compartida entre GIMP y los complementos.

--no-cpu-accel

  No se utilizan las funciones especiales de aceleración de la CPU. Útil para encontrar o deshabilitar problemas en el hadware o las funciones de la aceleración.

--session=`nombre`

  Usar un archivo de configuración `sessionrc` alternativo para esta sesión de GIMP. El nombre de sesión proporcionado se añade al final del nombre de archivo `sessionrc` predeterminado.

--gimprc=`nombre de archivo`

  Utiliza un `gimprc` alternativo en lugar del predeterminado. El archivo `gimprc` contiene un registro de sus preferencias. Es útil en los casos en que las rutas de los complementos o las especificaciones del sistema pueden variar.

--system-gimprc=`nombre de archivo`

  Usar un archivo de sistema «gimprc» alternativo

-b, --batch=`comandos`

  Ejecuta el conjunto de comandos de forma no interactiva. Este conjunto se da habitualmente en forma de un script que se puede ejecutar por una de las extensiones de scripts del GIMP. Cuando el comando es un `-`, los comandos se leen de la entrada estándar.

--batch-interpreter=`procedimiento`

  Especifica el procedimiento que usar para procesar los comandos de procesamiento por lotes. El procedimiento predefinido es Script-Fu.

--console-messages

  No aparecen diálogos informando de errores o advertencias. En cambio, se imprimen mensajes en la consola.

--pdb-compat-mode=`modo`

  Modo de compatibilidad PDB (off|on|warn)

--stack-trace-mode=`modo`

  Depurar en caso de bloqueo (never|query|always).

--debug-handlers

  Activar la depuración de señales no fatales. Útil para depurar GIMP.

--g-fatal-warnings

  Tratar todos los avisos como fatales. Útil para depurar.

--dump-gimprc

  Generar un archivo «gimprc» con valores predefinidos. Útil para renovar el archivo «gimprc».

--display=`pantalla`

  Usa la pantalla X especificada (esta opción no se aplica en todas las plataformas).

2. ¿Qué hay nuevo en GIMP 2.8? |  | 2. Iniciar GIMP por primera vez

Informe de un error en Bugzilla